Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
products
Admin Create Product
curl --request POST \
  --url https://api.member.dev/api/v1/teams/{team_id}/products/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "name": "<string>",
      "type": "<string>",
      "description": "<string>",
      "is_active": true,
      "legacy_product_id": "<string>",
      "metadata": {}
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "created_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "is_active": true,
      "legacy_product_id": "<string>",
      "metadata": {},
      "name": "<string>",
      "team_id": "<string>",
      "type": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "id": "<string>",
    "type": "products"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Body

application/vnd.api+json
data
ProductCreateResource · object
required

Response

Successful Response

data
ProductResource · object
required